import React, { Component } from "react";
import Form from "react-jsonschema-form";

class AutoForm extends Component {

    log = (type) => console.log(type);

    onSubmit = ({formData}, e) => {
        console.log("Data submitted: ",  formData);
        this.props.action();
    }

    onError = (errors) => console.log("I have", errors , "errors to fix");
    
    render () {
        return (
            <Form 
                schema={this.props.schema}
                uiSchema={this.props.uiSchema}
                onChange={()=>this.log("changed")}
                onSubmit={this.onSubmit}
                onError={this.onError} 
            />
        )
    }
}

export default AutoForm;
