import React, { Component } from "react";

class AutoTable extends Component {

    state = {
        table_schema : {
            title: "Todo",
            headers: [
                {title: "Title"}, 
                {done :"Done?"}
            ],
            values: [
              {
                title: "Title 1",
                done:"Oui"
              },
              {
                title: "Title 2",
                done:"Non"
              },
              {
                title: "Title 3",
                done:"Oui"
              },
              {
                title: "Title 4",
                done:"Non"
              }
            ]
          }
    }
    
    renderTableHead = () =>{
        let head_keys = this.state.table_schema.headers.map((item)=>{
            return Object.keys(item)[0];
        })
        let head_titles = this.state.table_schema.headers.map((item)=>{
            return this.state.table_schema.headers[Object.keys(item)[0]];
        })

        console.log("head_keys ", head_keys);
        console.log("head_titles ", head_titles);
        return head_titles.map((key, index)=>{
            return (<th key={index}>{key}</th>)
        })
    }

    renderTableBody = () =>{
        return this.state.table_schema.values.map((item, index)=>{
            return (
                <tr key={index}>
                    <td>John</td>
                    <td>No Action</td>
                    <td>None</td>
                    <td className="last-column"><i className="big grey pencil alternate icon"></i><i className="big red trash alternate icon"></i></td>
                </tr>
            )
        })
    }

    render () {
        return (
             <table className="ui selectable celled table">
                        <thead>
                            <tr>
                            {this.renderTableHead()}
                            <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            {this.renderTableBody()}
                        </tbody>
                    </table>
        )
    }
}

export default AutoTable;


